%define maj 0.9.8
%define libname %mklibname openssl %{maj}
%define conflict1 %mklibname openssl 0.9.7

# Number of threads to spawn when testing some threading fixes.
#define thread_test_threads %{?threads:%{threads}}%{!?threads:1}

# French policy is to not use ciphers stronger than 128 bits
%define french_policy 0

%define with_krb5 %{?_with_krb5:1}%{!?_with_krb5:0}

Summary:	Secure Sockets Layer communications libs & utils
Name:		openssl
Version:	%{maj}k
%define subrel 5
Release:	%mkrel 1
License:	BSD-like
Group:		System/Libraries
URL:		http://www.openssl.org/
Source0:	ftp://ftp.openssl.org/source/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.openssl.org/source/%{name}-%{version}.tar.gz.asc
Source2:	Makefile.certificate
Source3:	make-dummy-cert
Source4:	openssl-thread-test.c
# (gb) 0.9.6b-5mdk: Limit available SSL ciphers to 128 bits
Patch0:		openssl-0.9.6b-mdkconfig.patch
# (fg) 20010202 Patch from RH: some funcs now implemented with ia64 asm
Patch1:		openssl-0.9.7-ia64-asm.patch
# (gb) 0.9.7b-4mdk: Handle RPM_OPT_FLAGS in Configure
Patch2:		openssl-optflags.diff
# (gb) 0.9.7b-4mdk: Make it lib64 aware. TODO: detect in Configure
Patch3:		openssl-0.9.8b-lib64.diff
# (oe) support Brazilian Government OTHERNAME X509v3 field (#14158)
# http://www.iti.gov.br/resolucoes/RESOLU__O_13_DE_26_04_2002.PDF
Patch6:		openssl-0.9.8-beta6-icpbrasil.diff
Patch7:		openssl-0.9.8a-defaults.patch
Patch8:		openssl-0.9.8a-link-krb5.patch
Patch9:		openssl-0.9.8a-enginesdir.patch
Patch10:	openssl-0.9.7-beta6-ia64.patch
Patch12:	openssl-0.9.6-x509.patch
Patch13:	openssl-0.9.7-beta5-version-add-engines.patch
# http://qa.mandriva.com/show_bug.cgi?id=32621
Patch15:        openssl-0.9.8e-crt.patch
# http://blogs.sun.com/janp/
Patch16:	pkcs11_engine-0.9.8i.diff
Patch17:	openssl-0.9.8k-CVE-2009-1377.diff
Patch18:	openssl-0.9.8-CVE-2009-1378.diff
Patch19:	openssl-0.9.8h-CVE-2009-1379.diff
Patch20:	openssl-0.9.8h-CVE-2009-1387.diff
Patch21:	openssl-0.9.8g-CVE-2009-2409.diff
Patch22:	no_check_self_signed.patch
Patch23:	openssl-0.9.8h-CVE-2009-4355.diff
Patch24:	openssl-0.9.8k-CVE-2009-3555.patch
Patch25:	openssl-0.9.8k-cve-2009-3245.patch
Patch26:	openssl-0.9.8k-cve-2010-0433.patch
Patch27:	openssl-0.9.8k-CVE-2010-0740.patch
Requires:	%{libname} = %{version}-%{release}
Requires:	perl-base
Requires:	rootcerts
%{?_with_krb5:BuildRequires: krb5-devel}
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRequires:	chrpath
BuildRequires:	zlib-devel
# (tv) for test suite:
BuildRequires:	bc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The openssl certificate management tool and the shared libraries that provide
various encryption and decription algorithms and protocols, including DES, RC4,
RSA and SSL.

%package -n	%{libname}
Summary:	Secure Sockets Layer communications libs
Group:		System/Libraries
Conflicts:	openssh < 3.5p1-4mdk

%description -n	%{libname}
The libraries files are needed for various cryptographic algorithms
and protocols, including DES, RC4, RSA and SSL.

%package -n	%{libname}-devel
Summary:	Secure Sockets Layer communications static libs & headers & utils
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	libopenssl-devel
Provides:	openssl-devel = %{version}-%{release}
Obsoletes:	openssl-devel
# temporary opsolete, will be a conflict later. a compat package
# with openssl-0.9.7 devel libs will be provided soon
Obsoletes:	%{conflict1}-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
The libraries and include files needed to compile apps with support
for various cryptographic algorithms and protocols, including DES, RC4, RSA
and SSL.

%package -n	%{libname}-static-devel
Summary:	Secure Sockets Layer communications static libs & headers & utils
Group:		Development/Other
Requires:	%{libname}-devel = %{version}-%{release}
Provides:	libopenssl-static-devel
Provides:	openssl-static-devel = %{version}-%{release}
# temporary opsolete, will be a conflict later. a compat package
# with openssl-0.9.7 static-devel libs will be provided soon
Obsoletes:	%{conflict1}-static-devel
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n	%{libname}-static-devel
The static libraries needed to compile apps with support for various
cryptographic algorithms and protocols, including DES, RC4, RSA and SSL.

%prep

%setup -q -n %{name}-%{version}
%if %{french_policy}
%patch0 -p1 -b .frenchpolicy
%endif
%patch1 -p1 -b .ia64-asm
%patch2 -p0 -b .optflags
%patch3 -p1 -b .lib64
%patch6 -p0 -b .icpbrasil
%patch7 -p1 -b .defaults
%{?_with_krb5:%patch8 -p1 -b .krb5}
%patch9 -p1 -b .enginesdir
%patch10 -p0 -b .ia64
%patch12 -p1 -b .x509
%patch13 -p1 -b .version-add-engines
%patch15 -p1 -b .crt
%patch16 -p1 -b .pkcs11_engine
%patch17 -p1 -b .CVE-2009-1377
%patch18 -p0 -b .CVE-2009-1378
%patch19 -p0 -b .CVE-2009-1379
%patch20 -p0 -b .CVE-2009-1387
%patch21 -p1 -b .CVE-2009-2409
%patch22 -p0 -b .no_check_self_signed
%patch23 -p0 -b .CVE-2009-4355
%patch24 -p1 -b .cve-2009-3555
%patch25 -p1 -b .cve-2009-3245
%patch26 -p1 -b .cve-2010-0433
%patch27 -p0 -b .cve-2010-0740

perl -pi -e "s,^(OPENSSL_LIBNAME=).+$,\1%{_lib}," Makefile.org engines/Makefile

# fix perl path
perl util/perlpath.pl %{_bindir}/perl

cp %{SOURCE2} Makefile.certificate
cp %{SOURCE3} make-dummy-cert
cp %{SOURCE4} openssl-thread-test.c

%build 
%serverbuild

# Figure out which flags we want to use.
# default
sslarch=%{_os}-%{_arch}
%ifarch %ix86
sslarch=linux-elf
if ! echo %{_target} | grep -q i[56]86 ; then
    sslflags="no-asm"
fi
%endif
%ifarch sparcv9
sslarch=linux-sparcv9
%endif
%ifarch alpha
sslarch=linux-alpha-gcc
%endif
%ifarch s390
sslarch="linux-generic32 -DB_ENDIAN -DNO_ASM"
%endif
%ifarch s390x
sslarch="linux-generic64 -DB_ENDIAN -DNO_ASM"
%endif

# ia64, x86_64, ppc, ppc64 are OK by default
# Configure the build tree.  Override OpenSSL defaults with known-good defaults
# usable on all platforms.  The Configure script already knows to use -fPIC and
# RPM_OPT_FLAGS, so we can skip specifiying them here.
./Configure \
    --prefix=%{_prefix} --openssldir=%{_sysconfdir}/pki/tls ${sslflags} \
    --enginesdir=%{_libdir}/openssl/engines %{?_with_krb5:--with-krb5-flavor=MIT -I%{_prefix}/kerberos/include -L%{_prefix}/kerberos/%{_lib}} \
     no-idea no-rc5 enable-camellia shared enable-tlsext ${sslarch} --pk11-libname=%{_libdir}/pkcs11/PKCS11_API.so

#    zlib no-idea no-mdc2 no-rc5 no-ec no-ecdh no-ecdsa shared ${sslarch}

# antibork stuff...
perl -pi -e "s|^#define ENGINESDIR .*|#define ENGINESDIR \"%{_libdir}/openssl/engines\"|g" crypto/opensslconf.h

# Add -Wa,--noexecstack here so that libcrypto's assembler modules will be
# marked as not requiring an executable stack.
RPM_OPT_FLAGS="%{optflags} -Wa,--noexecstack"
make depend
make all build-shared

# Generate hashes for the included certs.
make rehash build-shared

# Verify that what was compiled actually works.
export LD_LIBRARY_PATH=`pwd`${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}

%check
make -C test apps tests

gcc -o openssl-thread-test \
    %{?_with_krb5:`krb5-config --cflags`} \
    -I./include \
    %{optflags} \
    openssl-thread-test.c \
    -L. -lssl -lcrypto \
    %{?_with_krb5:`krb5-config --libs`} \
    -lpthread -lz -ldl

LD_LIBRARY_PATH=. ./openssl-thread-test --threads %{thread_test_threads}

%install
rm -fr %{buildroot}

%makeinstall \
    INSTALL_PREFIX=%{buildroot} \
    MANDIR=%{_mandir} \
    build-shared

# the makefiles is too borked...
install -d %{buildroot}%{_libdir}/openssl
mv %{buildroot}%{_libdir}/engines %{buildroot}%{_libdir}/openssl/

# make the rootcerts dir
install -d %{buildroot}%{_sysconfdir}/pki/tls/rootcerts

# Install a makefile for generating keys and self-signed certs, and a script
# for generating them on the fly.
install -d %{buildroot}%{_sysconfdir}/pki/tls/certs
install -m0644 Makefile.certificate %{buildroot}%{_sysconfdir}/pki/tls/certs/Makefile
install -m0755 make-dummy-cert %{buildroot}%{_sysconfdir}/pki/tls/certs/make-dummy-cert

# Pick a CA script.
mv %{buildroot}%{_sysconfdir}/pki/tls/misc/CA.sh %{buildroot}%{_sysconfdir}/pki/tls/misc/CA

install -d %{buildroot}%{_sysconfdir}/pki/CA
install -d %{buildroot}%{_sysconfdir}/pki/CA/private

# openssl was named ssleay in "ancient" times.
ln -snf openssl %{buildroot}%{_bindir}/ssleay

# The man pages rand.3 and passwd.1 conflict with other packages
# Rename them to ssl-* and also make a symlink from openssl-* to ssl-*
mv %{buildroot}%{_mandir}/man1/passwd.1 %{buildroot}%{_mandir}/man1/ssl-passwd.1
ln -sf ssl-passwd.1.bz2 %{buildroot}%{_mandir}/man1/openssl-passwd.1.bz2

for i in rand err; do
    mv %{buildroot}%{_mandir}/man3/$i.3 %{buildroot}%{_mandir}/man3/ssl-$i.3
    ln -snf ssl-$i.3.bz2 %{buildroot}%{_mandir}/man3/openssl-$i.3.bz2
done

rm -rf {main,devel}-doc-info
mkdir -p {main,devel}-doc-info
cat - << EOF > main-doc-info/README.Mandriva-manpage
Warning:
The man page of passwd, passwd.1, has been renamed to ssl-passwd.1
to avoid a conflict with passwd.1 man page from the package passwd.
EOF

cat - << EOF > devel-doc-info/README.Mandriva-manpage
Warning:
The man page of rand, rand.3, has been renamed to ssl-rand.3
to avoid a conflict with rand.3 from the package man-pages
The man page of err, err.3, has been renamed to ssl-err.3
to avoid a conflict with err.3 from the package man-pages
EOF

chmod 755 %{buildroot}%{_libdir}/pkgconfig

%if %mdkversion >= 1020
%multiarch_includes %{buildroot}%{_includedir}/openssl/opensslconf.h
%endif

# strip cannot touch these unless 755
chmod 755 %{buildroot}%{_libdir}/openssl/engines/*.so*
chmod 755 %{buildroot}%{_libdir}/*.so*
chmod 755 %{buildroot}%{_bindir}/*

# nuke a mistake
rm -f %{buildroot}%{_mandir}/man3/.3

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/openssl

# Fix libdir.
pushd %{buildroot}%{_libdir}/pkgconfig
    for i in *.pc ; do
	sed 's,^libdir=${exec_prefix}/lib$,libdir=${exec_prefix}/%{_lib},g' \
	    $i >$i.tmp && \
	    cat $i.tmp >$i && \
	    rm -f $i.tmp
    done
popd

# adjust ssldir
perl -pi -e "s|^CATOP=.*|CATOP=%{_sysconfdir}/pki/tls|g" %{buildroot}%{_sysconfdir}/pki/tls/misc/CA
perl -pi -e "s|^\\\$CATOP\=\".*|\\\$CATOP\=\"%{_sysconfdir}/pki/tls\";|g" %{buildroot}%{_sysconfdir}/pki/tls/misc/CA.pl
perl -pi -e "s|\./demoCA|%{_sysconfdir}/pki/tls|g" %{buildroot}%{_sysconfdir}/pki/tls/openssl.cnf

cat > README.urpmi << EOF

The most significant changes made and starting from the 
openssl-0.9.8a-2mdk package is these:

 o The OPENSSLDIR has moved from %{_libdir}/ssl to %{_sysconfdir}/pki/tls

The most significant changes made and starting from the 
%{libname}-devel-0.9.8a-10mdk package is these:

 o The static development libraries (*.a) has been packaged in the
  %{libname}-static-devel sub package.

EOF

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -fr %{buildroot}

%files 
%defattr(-,root,root)
%doc FAQ INSTALL LICENSE NEWS PROBLEMS main-doc-info/README* README.urpmi 
%doc README README.ASN1 README.ENGINE README.pkcs11
%dir %{_sysconfdir}/pki
%dir %{_sysconfdir}/pki/CA
%dir %{_sysconfdir}/pki/CA/private
%dir %{_sysconfdir}/pki/tls
%dir %{_sysconfdir}/pki/tls/certs
%dir %{_sysconfdir}/pki/tls/misc
%dir %{_sysconfdir}/pki/tls/private
%dir %{_sysconfdir}/pki/tls/rootcerts
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pki/tls/openssl.cnf
%attr(0755,root,root) %{_sysconfdir}/pki/tls/certs/make-dummy-cert
%attr(0644,root,root) %{_sysconfdir}/pki/tls/certs/Makefile
%attr(0755,root,root) %{_sysconfdir}/pki/tls/misc/*
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_mandir}/man[157]/*

%files -n %{libname}
%defattr(-,root,root)
%doc FAQ INSTALL LICENSE NEWS PROBLEMS README*
%attr(0755,root,root) %{_libdir}/lib*.so.*
%attr(0755,root,root) %dir %{_libdir}/openssl/engines
%attr(0755,root,root) %{_libdir}/openssl/engines/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc CHANGES doc/* devel-doc-info/README*
%attr(0755,root,root) %dir %{_includedir}/openssl
%if %mdkversion >= 1020
%multiarch %{multiarch_includedir}/openssl/opensslconf.h
%endif
%attr(0644,root,root) %{_includedir}/openssl/*
%attr(0755,root,root) %{_libdir}/lib*.so
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_libdir}/pkgconfig/*

%files -n %{libname}-static-devel
%defattr(-,root,root)
%attr(0644,root,root) %{_libdir}/lib*.a


%changelog
* Fri Mar 26 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.9.8k-1.5mdv2010.0
- P24: security fix for CVE-2009-3555
- P25: security fix for CVE-2009-3245
- P26: security fix for CVE-2010-0433
- P27: security fix for CVE-2010-0740

* Sat Jan 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.8k-1.4mdv2009.1
- P23: security fix for CVE-2009-4355 (upstream)

* Wed Oct 07 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.8k-1.3mdv2009.1
- P22: fixes a regression with CVE-2009-2409

* Tue Sep 22 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.8k-1.2mdv2009.1
- P19: security fix for CVE-2009-1379
- P20: security fix for CVE-2009-1387
- P21: security fix for CVE-2009-2409

* Wed May 20 2009 Oden Eriksson <oeriksson@mandriva.com> 0.9.8k-1.1mdv2009.1
- P17: security fix for CVE-2009-1377
- P18: security fix for CVE-2009-1378

* Thu Mar 26 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.9.8k-1mdv2009.1
+ Revision: 361433
- Updated to 0.9.8k.
  Rediffed P9, P13, P16.
  Dropped P17 (no longer needed) and P18 (merged upstream).

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.8i-5mdv2009.1
+ Revision: 337119
- keep bash completion in its own package

* Mon Jan 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.8i-4mdv2009.1
+ Revision: 328609
- no need to rename man page, we don't ship rsbac anymore
- uncompress additional sources
- bash completion

* Thu Jan 08 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.9.8i-3mdv2009.1
+ Revision: 327021
- P18: security fix for CVE-2008-5077

* Tue Dec 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8i-2mdv2009.1
+ Revision: 314928
- rediffed fuzzy patches
- fix build with P17 (-Werror=format-security)

* Fri Oct 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8i-1mdv2009.1
+ Revision: 291331
- 0.9.8i
- dropped the mbstring_flag patch (P4), it's implemented upstream
- added pkcs11 engine support P16

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.8h-3mdv2009.0
+ Revision: 265275
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8h-2mdv2009.0
+ Revision: 217952
- fix "#%%define is forbidden"
- added P4 to fix borkiness in the apache test suites

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8h-1mdv2009.0
+ Revision: 213381
- 0.9.8h (fixes CVE-2008-1672, CVE-2008-0891)
- rediffed P2

* Thu May 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8g-9mdv2009.0
+ Revision: 212968
- P16: security fix for CVE-2008-0891
- P17: security fix for CVE-2008-1672

* Tue May 27 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.8g-8mdv2009.0
+ Revision: 211562
- fix duplicated descriptions between devel packages (as showed by latest commits)
- descriptions are not license tags
- remove URLs & emails from descriptions

* Sat May 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8g-7mdv2009.0
+ Revision: 210856
- rebuild

* Tue May 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8g-6mdv2009.0
+ Revision: 209328
- rebuilt with gcc43

* Mon Apr 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8g-5mdv2009.0
+ Revision: 192694
- rebuild
- fix #39792 (openssl-thread-test does not use proper .so file)

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8g-4mdv2008.1
+ Revision: 176382
- rebuild (take 2)

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8g-3mdv2008.1
+ Revision: 176250
- rebuild

* Thu Feb 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8g-2mdv2008.1
+ Revision: 176044
- fix #38237 (Please include SNI support patch)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.8g-1mdv2008.1
+ Revision: 115942
- bump release
- 0.9.8g

* Fri Oct 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.8f-1mdv2008.1
+ Revision: 100300
- 0.9.8f
- rediffed P2
- drop upstream implemented fixes for CVE-2007-3108, CVE-2007-5135
- drop upstream implemented fixes; P4, P14, P16, P17, P18

* Fri Oct 05 2007 Anne Nicolas <anne.nicolas@mandriva.com> 0.9.8e-8mdv2008.0
+ Revision: 95537
- bump release

* Thu Oct 04 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.8e-7mdv2008.0
+ Revision: 95496
- patch to fix security issues CVE-2007-5135 and
  CVE-2007-3108 (#34405 and #32376 respectively)

* Fri Sep 21 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.8e-6mdv2008.0
+ Revision: 91695
- fix sigill during make test (#32769)
- make c_rehash handle .crt extensions (#32621)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - add missing buildrequires for test suite
    - kill file require on perl-base

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.8e-4mdv2008.0
+ Revision: 44488
- rebuild with -fstack-protector

* Tue Apr 24 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.8e-3mdv2008.0
+ Revision: 17927
- fixed 3des cipher bug in openssl (#30431)


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.9.8e-2mdv2007.1
+ Revision: 146607
- move big doc in -devel

* Mon Feb 26 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.8e-1mdv2007.1
+ Revision: 125816
- updated to version 0.9.8e

* Wed Dec 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.8d-3mdv2007.1
+ Revision: 100705
- bump re?\195?\184lease
- fix sparcv9 build
  do not disable asm on sparc
  move checks to %%check

* Mon Dec 11 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.8d-2mdv2007.1
+ Revision: 94733
- 0.9.8d-2mdv
- merge from 2007.0-branch: fix build on ppc64

* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 0.9.8d-1mdv2007.1
+ Revision: 77025
- updated to version 0.9.8d
- dropped poll patch, it's already being used upstream
- added new cipher: camellia
- dropped security patches that were already applied

* Tue Oct 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8b-4mdv2007.1
+ Revision: 74810
- add another patch, phew!
- commit one more patch (duh!)
- commit the patches too...
- bunzip patches

  + Andreas Hasenack <andreas@mandriva.com>
    - added security patches for CVE-2006-2940 (two patches),
      CVE-2006-4343, CVE-2006-3738 and CVE-2006-2937 (#26197)
    - Import openssl

* Thu Sep 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8b-2
- plug CVE-2006-4339 (#25234)

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8b-1mdk
- 0.9.8a
- rediffed P3

* Mon Jan 30 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8a-10mdk
- fix one conflicting manpage (buffer.3) with rsbac-admin (#20875)

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8a-9mdk
- fix deps (rootcerts)

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8a-8mdk
- fix the /usr/lib6464 error (duh!)

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.8a-7mdk
- fix deps

* Mon Dec 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.8a-6mdk
- fix file attribs on certain files in /etc/pki/tls/ (thanks ahasenack)
- fix one missing ";" in the /etc/pki/tls/misc/CA.pl file (thanks ahasenack)
- for the record, 0.9.8a-4mdk fixed #19882

* Wed Nov 23 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.8a-5mdk
- add BuildRequires: chrpath

* Mon Nov 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.8a-4mdk
- don't ship a crippled package

* Sat Nov 12 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.8a-3mdk
- rebuilt due package loss

* Fri Nov 11 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.8a-2mdk
- added patches and changes from fedora
- OPENSSLDIR is now %%{_sysconfdir}/pki/tls

* Thu Nov 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.8a-1mdk
- merge with the openssl0.9.8 package:
  - 0.9.8a
  - new major
  - rediff P2, P3 and P6

* Mon Oct 17 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7i-1mdk
- 0.9.7i (compatibility fix)

* Fri Oct 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7h-2mdk
- security update for CAN-2005-2946 (P7)

* Wed Oct 12 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7h-1mdk
- 0.9.7h (addresses CAN-2005-2969)
- rediff P2,P3

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7g-2mdk
- rebuilt with gcc4

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7g-1mdk
- 0.9.7g
- rediffed P2

* Fri Apr 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7f-1mdk
- 0.9.7f
- use the %%mkrel macro
- drop the libfips patch (P5), it's implemented upstream
- drop the CAN-2004-0975 patch (P4) as the code is gone
- rediffed P2

* Wed Mar 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7e-5mdk
- added P6 to support Brazilian Government OTHERNAME X509v3 field (#14158)

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7e-4mdk
- fix deps and conditional %%multiarch
- added P5 as there's no libfips

* Mon Jan 10 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.9.7e-3mdk
- build in parallel

* Tue Dec 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7e-2mdk
- apply the CAN-2004-0975 patch (P4) from 0.9.7d-1.1.101mdk

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.7e-1mdk
- 0.9.7e
- rediffed P2 & P3
- misc spec file fixes

* Sat Jun 19 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.9.7d-1mdk
- new version
- rediff P3
- remove P4/P5 since they're included in the release

